tigase.jaxmpp.core.client.connector

## Class AbstractBoshConnector.BoshPacketReceivedHandler.BoshPacketReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<AbstractBoshConnector.BoshPacketReceivedHandler>
    - - tigase.jaxmpp.core.client.connector.AbstractBoshConnector.BoshPacketReceivedHandler.BoshPacketReceivedEvent

- Enclosing interface:
    AbstractBoshConnector.BoshPacketReceivedHandler

      public static class AbstractBoshConnector.BoshPacketReceivedHandler.BoshPacketReceivedEvent
      extends JaxmppEvent<AbstractBoshConnector.BoshPacketReceivedHandler>

  Fired BOSH packet is received.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshPacketReceivedEvent(SessionObject sessionObject, int responseCode, Element response, String responseData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(AbstractBoshConnector.BoshPacketReceivedHandler handler)` Invokes handlers method.
    `String` | `getReceivedData()`
    `Element` | `getResponse()`
    `int` | `getResponseCode()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshPacketReceivedEvent

          public BoshPacketReceivedEvent(SessionObject sessionObject,
                                         int responseCode,
                                         Element response,
                                         String responseData)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(AbstractBoshConnector.BoshPacketReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<AbstractBoshConnector.BoshPacketReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getReceivedData

          public String getReceivedData()

    - #### getResponse

          public Element getResponse()

    - #### getResponseCode

          public int getResponseCode()

Copyright © 2006–2017 Tigase. All rights reserved.